[arch-commits] Commit in gnome-pilot/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Nov 21 13:03:04 EST 2009


    Date: Saturday, November 21, 2009 @ 13:03:03
  Author: jgc
Revision: 59252

upgpkg: gnome-pilot 2.0.17-2
    Add libgnomeui to dependencies (FS#15584)

Modified:
  gnome-pilot/trunk/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-21 17:58:08 UTC (rev 59251)
+++ PKGBUILD	2009-11-21 18:03:03 UTC (rev 59252)
@@ -3,12 +3,12 @@
 
 pkgname=gnome-pilot
 pkgver=2.0.17
-pkgrel=1
+pkgrel=2
 pkgdesc="Pilot Support for Gnome"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('pilot-link>=0.12.3-3')
-makedepends=('pkgconfig' 'intltool' 'gob2' 'gnome-doc-utils>=0.14.2' 'gnome-panel>=2.24.3')
+depends=('pilot-link>=0.12.4' 'libgnomeui>=2.24.2')
+makedepends=('pkgconfig' 'intltool' 'gob2' 'gnome-doc-utils>=0.18.0' 'gnome-panel>=2.28.0')
 optdepends=('gnome-panel')
 options=('!libtool' '!emptydirs')
 url="http://www.gnome.org"
@@ -19,9 +19,9 @@
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --libexecdir=/usr/lib/gnome-pilot \
-              --localstatedir=/var --disable-static \
-	      --disable-scrollkeeper || return 1
+      --libexecdir=/usr/lib/gnome-pilot \
+      --localstatedir=/var --disable-static \
+      --disable-scrollkeeper || return 1
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
@@ -30,4 +30,6 @@
   install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
   gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
   rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+
+  rm -f "${pkgdir}/usr/lib/gnome-pilot/gpilot-applet"
 }



More information about the arch-commits mailing list